@echo off

: MPSGE.BAT     MPS/GE Command File Interface to GAMS for DOS 3.x

:               Thomas Rutherford, University of Colorado
:               Based on GAMS 2.25 Command Line Interface for DOS 3.x
:               GAMS Development Corporation, Washington, DC, USA

if a%1 == a goto help

echo Running the MPS/GE preprocessor ...

echo INP %1           > gamscge.scr
echo SCR gamscge.scr >> gamscge.scr
echo ERR gamscge.err >> gamscge.scr
if exist gamscge.err erase gamscge.err
gams3cge gamscge.scr
: will generate  <model>.hdr  into current directory
:                <model>.gen
:    <model> derived from gams source in multiple
:    $ontext offtext sections
if not exist gamscge.err goto goparms
echo *** MPSGE preprocessing errors
type gamscge.err
goto end

:goparms
 
:       Generate the GAMS parameter file:

type C:\GAMS225\gamsparm.txt > gamsparm.scr
echo I %1 >> gamsparm.scr
if a%2 == a goto done
:more
echo %2 %3 >> gamsparm.scr
if a%4 == a goto done
shift
shift
goto more

:done
echo Loading GAMS ...
gamscmex gamsparm.scr
call gamsnext gamsparm.scr
goto end

:help
type C:\GAMS225\gamscomm.txt

:end
if exist gamscge.err del gamscge.err
if exist gamscge.scr del gamscge.scr


